<?php
$location = "";
if ( has_nav_menu( "mobile-nav" ) ) {
    $location= "mobile-nav";
}
elseif ( has_nav_menu( "primary-nav" ) ) {
    $location = "primary-nav";
}

if ( !has_nav_menu( $location ) )
    return;

?>
<div id="rad-resp-nav-bt" class="hidden-desktop">
    <span></span>
</div>
<div class="toggle-aside resp-nav-aside bg hidden-desktop" id="rad-resp-nav">
    <div class="resp-nav-aside-container">
        <?php
        wp_nav_menu(
            array(
                "container" =>"",
                "theme_location" => $location,
                "fallback_cb" => false,
                "walker"      =>   new rad_Mobbile_Nav_Walker(),
            )
        );
        
        $languages = rad_get_languages();
        if($languages != "")
        {
          echo "<div class=\"inline-lang\">" . $languages . "</div>";
        }
        
        $currencySwitcher = rad_get_option("menu_currency_switcher");
        if($currencySwitcher && class_exists("WOOCS"))
        {
            $currencies = do_shortcode( $currencySwitcher );
            if($currencies != "")
            {
              echo "<div class=\"inline-currency\">" . $currencies . "</div>";
            }
        }

        ?>
    </div>
</div>